input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

:active, :hover, :focus {
    outline: 0 !important;
    outline-offset: 0 !important;
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    width: 100%;
    display: block;
    font-weight: 400;
    position: relative;
    background: transparent;

    &__view {
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        right: rem(18);
        top: calc(50% - 0.5rem);
        z-index: 10;
        cursor: pointer;
        display: block;
        width: rem(16);
        height: rem(16);
        stroke: #C7C7C7;
        position: absolute;
        background: transparent;

        i {
            width: 100%;
            height: 100%;
            display: block;
        }

        i + i {
            top: 0;
            left: 0;
            position: absolute;
            opacity: 0;
            visibility: hidden;
        }
    }

    &.pass-view {

        .field__view {

            i {
                opacity: 0;
                visibility: hidden;
            }

            i + i {
                opacity: 1;
                visibility: visible;
            }
        }
    }
}

.custom-field {
    width: 100%;
    display: block;
    font-weight: 400;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: rem(36);
        outline: none;
        color: var(--black);
        box-shadow: none;
        font-weight: 400;
        font-size: rem(12);
        line-height: rem(20);
        padding: rem(7) rem(10);
        background: #fff;
        display: block;
        border-radius: 25px;
        vertical-align: middle;
        border: rem(1) solid white;

        &::placeholder {
            color: var(--black);
        }

        &:focus,
        &:active  {
            outline: none;

            &::placeholder {
                color: transparent;
            }
        }
    }

    &__icon {
        z-index: 10;
        fill: var(--gray);
        stroke: var(--gray);
        font-size: 0;
        line-height: 0;
        top: calc(50% - 0.5rem);
        left: rem(10);
        height: rem(16);
        position: absolute;
        display: inline-block;
    }

    &--date {
        width: rem(200);

        #{$input-selector} {
            padding-left: rem(32);
        }
    }

    @include media-breakpoint-up(md) {

        #{$input-selector} {
            height: rem(50);
            font-size: rem(14);
            line-height: rem(20);
            padding: rem(14) rem(37);
        }

        &__icon {
            left: 16px;
        }

        &--date {
            width: rem(240);

            #{$input-selector} {
                padding-left: rem(36);
            }
        }
    }
}

.field-date {
    width: 100%;
    display: block;
    font-weight: 400;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: rem(36);
        outline: none;
        color: var(--black);
        box-shadow: none;
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(18);
        padding: rem(8) rem(32) rem(8) rem(10);
        background: white;
        display: block;
        border-radius: 4px;
        vertical-align: middle;
        border: rem(1) solid #F3F3F3;

        &::placeholder {
            color: var(--black);
        }

        &:focus,
        &:active  {
            outline: none;

            &::placeholder {
                color: transparent;
            }
        }
    }

    &__icon {
        z-index: 10;
        fill: var(--blue);
        stroke: var(--blue);
        font-size: 0;
        line-height: 0;
        top: calc(50% - 0.5rem);
        right: rem(10);
        height: rem(16);
        position: absolute;
        display: inline-block;
    }


}
